EACObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.eac

## Interface EACObjectIdentifiers

-     public interface EACObjectIdentifiers

  German Federal Office for Information Security (Bundesamt für Sicherheit in der Informationstechnik) https://www.bsi.bund.de/

  BSI TR-03110 Technical Guideline Advanced Security Mechanisms for Machine Readable Travel Documents

  Technical Guideline TR-03110-3 Advanced Security Mechanisms for Machine Readable Travel Documents; Part 3: Common Specifications.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `bsi_de` bsi-de OBJECT IDENTIFIER ::= { itu-t(0) identified-organization(4) etsi(0) reserved(127) etsi-identified-organization(0) 7 } OID: 0.4.0.127.0.7
    `static ASN1ObjectIdentifier` | `id_CA` id-CA OBJECT IDENTIFIER ::= { bsi-de protocols(2) smartcard(2) 3 } OID: 0.4.0.127.0.7.2.2.3
    `static ASN1ObjectIdentifier` | `id_CA_DH` OID: 0.4.0.127.0.7.2.2.3.1
    `static ASN1ObjectIdentifier` | `id_CA_DH_3DES_CBC_CBC` OID: 0.4.0.127.0.7.2.2.3.1.1
    `static ASN1ObjectIdentifier` | `id_CA_ECDH` OID: 0.4.0.127.0.7.2.2.3.2
    `static ASN1ObjectIdentifier` | `id_CA_ECDH_3DES_CBC_CBC` OID: 0.4.0.127.0.7.2.2.3.2.1
    `static ASN1ObjectIdentifier` | `id_EAC_ePassport` id-EAC-ePassport OBJECT IDENTIFIER ::= { bsi-de applications(3) mrtd(1) roles(2) 1 } OID: 0.4.0.127.0.7.3.1.2.1
    `static ASN1ObjectIdentifier` | `id_PK` id-PK OBJECT IDENTIFIER ::= { bsi-de protocols(2) smartcard(2) 1 } OID: 0.4.0.127.0.7.2.2.1
    `static ASN1ObjectIdentifier` | `id_PK_DH` OID: 0.4.0.127.0.7.2.2.1.1
    `static ASN1ObjectIdentifier` | `id_PK_ECDH` OID: 0.4.0.127.0.7.2.2.1.2
    `static ASN1ObjectIdentifier` | `id_TA` id-TA OBJECT IDENTIFIER ::= { bsi-de protocols(2) smartcard(2) 2 } OID: 0.4.0.127.0.7.2.2.2
    `static ASN1ObjectIdentifier` | `id_TA_ECDSA` OID: 0.4.0.127.0.7.2.2.2.2
    `static ASN1ObjectIdentifier` | `id_TA_ECDSA_SHA_1` OID: 0.4.0.127.0.7.2.2.2.2.1
    `static ASN1ObjectIdentifier` | `id_TA_ECDSA_SHA_224` OID: 0.4.0.127.0.7.2.2.2.2.2
    `static ASN1ObjectIdentifier` | `id_TA_ECDSA_SHA_256` OID: 0.4.0.127.0.7.2.2.2.2.3
    `static ASN1ObjectIdentifier` | `id_TA_ECDSA_SHA_384` OID: 0.4.0.127.0.7.2.2.2.2.4
    `static ASN1ObjectIdentifier` | `id_TA_ECDSA_SHA_512` OID: 0.4.0.127.0.7.2.2.2.2.5
    `static ASN1ObjectIdentifier` | `id_TA_RSA` OID: 0.4.0.127.0.7.2.2.2.1
    `static ASN1ObjectIdentifier` | `id_TA_RSA_PSS_SHA_1` OID: 0.4.0.127.0.7.2.2.2.1.3
    `static ASN1ObjectIdentifier` | `id_TA_RSA_PSS_SHA_256` OID: 0.4.0.127.0.7.2.2.2.1.4
    `static ASN1ObjectIdentifier` | `id_TA_RSA_PSS_SHA_512` OID: 0.4.0.127.0.7.2.2.2.1.6
    `static ASN1ObjectIdentifier` | `id_TA_RSA_v1_5_SHA_1` OID: 0.4.0.127.0.7.2.2.2.1.1
    `static ASN1ObjectIdentifier` | `id_TA_RSA_v1_5_SHA_256` OID: 0.4.0.127.0.7.2.2.2.1.2
    `static ASN1ObjectIdentifier` | `id_TA_RSA_v1_5_SHA_512` OID: 0.4.0.127.0.7.2.2.2.1.5

- - ### Field Detail

    - #### bsi_de

          static final ASN1ObjectIdentifier bsi_de

           bsi-de OBJECT IDENTIFIER ::= {
               itu-t(0) identified-organization(4) etsi(0)
               reserved(127) etsi-identified-organization(0) 7
           }

      OID: 0.4.0.127.0.7

    - #### id_PK

          static final ASN1ObjectIdentifier id_PK

           id-PK OBJECT IDENTIFIER ::= {
               bsi-de protocols(2) smartcard(2) 1
           }

      OID: 0.4.0.127.0.7.2.2.1

    - #### id_PK_DH

          static final ASN1ObjectIdentifier id_PK_DH

      OID: 0.4.0.127.0.7.2.2.1.1

    - #### id_PK_ECDH

          static final ASN1ObjectIdentifier id_PK_ECDH

      OID: 0.4.0.127.0.7.2.2.1.2

    - #### id_CA

          static final ASN1ObjectIdentifier id_CA

           id-CA OBJECT IDENTIFIER ::= {
               bsi-de protocols(2) smartcard(2) 3
           }

      OID: 0.4.0.127.0.7.2.2.3

    - #### id_CA_DH

          static final ASN1ObjectIdentifier id_CA_DH

      OID: 0.4.0.127.0.7.2.2.3.1

    - #### id_CA_DH_3DES_CBC_CBC

          static final ASN1ObjectIdentifier id_CA_DH_3DES_CBC_CBC

      OID: 0.4.0.127.0.7.2.2.3.1.1

    - #### id_CA_ECDH

          static final ASN1ObjectIdentifier id_CA_ECDH

      OID: 0.4.0.127.0.7.2.2.3.2

    - #### id_CA_ECDH_3DES_CBC_CBC

          static final ASN1ObjectIdentifier id_CA_ECDH_3DES_CBC_CBC

      OID: 0.4.0.127.0.7.2.2.3.2.1

    - #### id_TA

          static final ASN1ObjectIdentifier id_TA

           id-TA OBJECT IDENTIFIER ::= {
               bsi-de protocols(2) smartcard(2) 2
           }

      OID: 0.4.0.127.0.7.2.2.2

    - #### id_TA_RSA

          static final ASN1ObjectIdentifier id_TA_RSA

      OID: 0.4.0.127.0.7.2.2.2.1

    - #### id_TA_RSA_v1_5_SHA_1

          static final ASN1ObjectIdentifier id_TA_RSA_v1_5_SHA_1

      OID: 0.4.0.127.0.7.2.2.2.1.1

    - #### id_TA_RSA_v1_5_SHA_256

          static final ASN1ObjectIdentifier id_TA_RSA_v1_5_SHA_256

      OID: 0.4.0.127.0.7.2.2.2.1.2

    - #### id_TA_RSA_PSS_SHA_1

          static final ASN1ObjectIdentifier id_TA_RSA_PSS_SHA_1

      OID: 0.4.0.127.0.7.2.2.2.1.3

    - #### id_TA_RSA_PSS_SHA_256

          static final ASN1ObjectIdentifier id_TA_RSA_PSS_SHA_256

      OID: 0.4.0.127.0.7.2.2.2.1.4

    - #### id_TA_RSA_v1_5_SHA_512

          static final ASN1ObjectIdentifier id_TA_RSA_v1_5_SHA_512

      OID: 0.4.0.127.0.7.2.2.2.1.5

    - #### id_TA_RSA_PSS_SHA_512

          static final ASN1ObjectIdentifier id_TA_RSA_PSS_SHA_512

      OID: 0.4.0.127.0.7.2.2.2.1.6

    - #### id_TA_ECDSA

          static final ASN1ObjectIdentifier id_TA_ECDSA

      OID: 0.4.0.127.0.7.2.2.2.2

    - #### id_TA_ECDSA_SHA_1

          static final ASN1ObjectIdentifier id_TA_ECDSA_SHA_1

      OID: 0.4.0.127.0.7.2.2.2.2.1

    - #### id_TA_ECDSA_SHA_224

          static final ASN1ObjectIdentifier id_TA_ECDSA_SHA_224

      OID: 0.4.0.127.0.7.2.2.2.2.2

    - #### id_TA_ECDSA_SHA_256

          static final ASN1ObjectIdentifier id_TA_ECDSA_SHA_256

      OID: 0.4.0.127.0.7.2.2.2.2.3

    - #### id_TA_ECDSA_SHA_384

          static final ASN1ObjectIdentifier id_TA_ECDSA_SHA_384

      OID: 0.4.0.127.0.7.2.2.2.2.4

    - #### id_TA_ECDSA_SHA_512

          static final ASN1ObjectIdentifier id_TA_ECDSA_SHA_512

      OID: 0.4.0.127.0.7.2.2.2.2.5

    - #### id_EAC_ePassport

          static final ASN1ObjectIdentifier id_EAC_ePassport

           id-EAC-ePassport OBJECT IDENTIFIER ::= {
               bsi-de applications(3) mrtd(1) roles(2) 1
           }

      OID: 0.4.0.127.0.7.3.1.2.1